#include <iostream>
#include <iomanip>
using namespace std;
int a[10000];
int drugi=0;
int main (){
for (int i=1;i<=3;i++){
    cin >> a[i];
}

int prv=max(a[1],a[2]);
int prvi=max(prv,a[3]);



int trec=min(a[1],a[2]);
int treci=min (trec,a[3]);


for (int i=1;i<=3;i++){
    if (a[i]>treci && a[i]<prvi)
        drugi=a[i];
}


cout << prvi;
cout << drugi;
cout << treci;


    return 0;
}